package org.gcube.portlets.user.geoportaldataentry.client;

public enum ConcessioniFormCardTitle {
	
	INFORMAZIONI_DI_PROGETTO("Informazioni", "Informazioni di Progetto", 1, false),
	RELAZIONE_DI_SCAVO("Relazione di Scavo", "Relazione di Scavo", 2, false),
	IMMAGINI_RAPPRESENTATIVE("Immagini Rappresentative", "Immagini Rappresentative", 3, true),
	POSIZIONAMENTO_DELL_AREA_DI_INDAGINE("Posizionamento", "Posizionamento dell'Area di Indagine", 4, false),
	PIANTA_DI_FINE_SCAVO("Pianta di Fine Scavo", "Pianta di Fine Scavo", 5, true);
	
	private String key;
	private String title;
	private Integer order;
	private boolean internalRepeatibleForm;
	
	private ConcessioniFormCardTitle(String key, String title, int order, boolean internalRepeatibleForm) {
		this.key = key;
		this.title = title;
		this.order = order;
		this.internalRepeatibleForm = internalRepeatibleForm;
	}

	public String getKey() {
		return key;
	}

	public String getTitle() {
		return title;
	}

	public Integer getOrder() {
		return order;
	}
	
	public boolean isInternalRepeatibleForm() {
		return internalRepeatibleForm;
	}


}
